libname HW3 '/folders/myfolders';

/* 1 */
data carseat;
set HW3.infantcarseat18_2_;
run;

/* 2(A) */
data carseat;
set carseat;
if gage=999 then delete;
if o2sat=999 then delete;
run;

/* 2(B) */
data carseat;
set carseat;
if gage < 32 then very_preterm = 1;
if gage >= 32 then very_preterm = 0;
run;

/* 2(C) */
data carseat;
set carseat;
if o2sat < 90 then o2low = 1;
if o2sat >= 90 then o2low = 0;
run;

/* 3 */
proc format;
value Ynf
0='No'  1= 'Yes';
value sexf
0='Female'  1='Male';
value passf
0='Failed'  1='Passed';
run;

/* 4 */
data carseat;
set carseat;
label carseat=Car test result
o2sat=Oxygen saturation
gage=Gestational age
gender=Infant sex
caffeine=Caffeine treatment
surfactant=Surfactant treatment
very_preterm=Very preterm(<32weeks)
o2low=Low oxygen sat(<90%)
failreason=Reason to test failure;
run;

data carseat;
set carseat;
format carseat passf.
gender sexf.
caffeine Ynf.
surfactant Ynf.
very_preterm Ynf.
o2low Ynf.;
run;

/* 5 */
proc means data=carseat n nmiss min mean std p5 p10 p90 p95 max;
run;

proc freq data=carseat;
table gender carseat caffeine surfactant failreason;
run;

/* 6 */
proc univariate data=carseat;
var gage carseat ;
histogram;
run;

proc univariate data=carseat;
  class carseat;
  var gage;
  histogram gage  / kernel overlay;
run;

/* You may also try this */
proc univariate data=carseat;
  class carseat;
  var gage;
  histogram gage;
run;
